Subject: Re: bug#2062: PATH can contain non-expanded variables

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Jan 2009 21:30:41 +0200

> From: Juanma Barranquero <[email-masked]>
> Cc: [email-masked]
> 
> On Tue, Jan 27, 2009 at 10:24, Jason Rumney <[email-masked]> wrote:
> 
> > If the system does not handle REG_EXPAND_SZ in the App Paths registry
> > values, then the bug is with whatever incorrectly used that type when
> > setting the registry value.
> 
> I'd say that Microsoft is of two minds about it, judging by the
> entries for msimn.exe (Outlook Express), pbrush.exe (mspaint) and a
> few others, that do use REG_EXPAND_SZ.
> 
> That said, ExpandEnvironmentStrings is not *specifically* for
> REG_EXPAND_SZ registry entries; it is generally useful for cases such
> as this one.

What was the use-case that caused Path to include unexpanded
environment variables in your case?